// polinomio.h - Declaración de la clase CPolinomio
//
#if !defined( _CPOLINOMIO_H_ )
#define _CPOLINOMIO_H_

#include <vector>
#include "termino.h" // clase CTermino
using namespace std;

//////////////////////////////////////////////////////////////////
// Clase para manipular ecuaciones algebraicas o polinómicas
// dependientes de una variable.	
class CPolinomio
{
  friend ostream& operator<<(ostream&, CPolinomio&);
  private:
    vector<CTermino> polinomio; // matriz inicialmente vacía

  public:
    CPolinomio(); // constructor
    size_t ObtenerNroTerminos() { return polinomio.size(); }
    void AsignarTermino(CTermino);
    CPolinomio operator+(CPolinomio&);
    double operator()(double x);
    operator double();
};
//////////////////////////////////////////////////////////////////	

#endif // _CPOLINOMIO_H_

